import * as s from "bootstrap";
import { defineComponent as t } from "vue";
const n = s.Offcanvas, a = t({
  name: "BsOffcanvas",
  props: {
    /**
     * Offcanvas title
     */
    title: {
      type: String,
      required: !0
    }
  },
  emits: ["shown", "hidden"],
  mounted() {
    const e = this.$refs.offcanvasRef;
    n.getOrCreateInstance(e).show(), e.addEventListener("shown.bs.offcanvas", this.onShown), e.addEventListener("hidden.bs.offcanvas", this.onHidden);
  },
  methods: {
    /**
     * Trigger offcanvas hide event.
     */
    hide() {
      const e = this.$refs.offcanvasRef;
      n.getOrCreateInstance(e).hide();
    },
    /**
     * Shown event.
     */
    onShown() {
      this.$emit("shown");
    },
    /**
     * Hidden event.
     */
    onHidden() {
      this.$emit("hidden");
    }
  }
});
export {
  a as default
};
