import * as s from "bootstrap";
import { defineComponent as n } from "vue";
const e = s.Toast, i = n({
  name: "BsToast",
  emits: ["shown", "hidden"],
  mounted() {
    const t = this.$refs.toastRef;
    e.getOrCreateInstance(t).show(), t.addEventListener("shown.bs.toast", this.onShown), t.addEventListener("hidden.bs.toast", this.onHidden);
  },
  methods: {
    /**
     * Trigger toast hide event.
     */
    hide() {
      const t = this.$refs.toastRef;
      e.getOrCreateInstance(t).hide();
    },
    /**
     * Hidden event.
     */
    onShown() {
      this.$emit("shown");
    },
    /**
     * Hidden event.
     */
    onHidden() {
      this.$emit("hidden");
    }
  }
});
export {
  i as default
};
