import { ref as v } from "vue";
import { useI18n as m } from "vue-i18n";
function c(i) {
  const { t: e } = m(), t = v(null);
  function l(r) {
    const a = i.value;
    a !== null && (r !== null ? a.setCustomValidity(r) : a.setCustomValidity(""), t.value = o(a));
  }
  function o(r) {
    if (r.validity.valueMissing)
      return e("validator.error.value_missing");
    if (r.validity.tooShort)
      return e("validator.error.too_short", [r.minLength]);
    if (r.validity.tooLong)
      return e("validator.error.too_long", [r.maxLength]);
    if (r.validity.rangeUnderflow)
      return e("validator.error.range_underflow", [r.min]);
    if (r.validity.rangeOverflow)
      return e("validator.error.range_overflow", [r.max]);
    if (r.validity.typeMismatch) {
      if (r.type === "email")
        return e("validator.error.type_mismatch.email");
      if (r.type === "url")
        return e("validator.error.type_mismatch.url");
    }
    if (r.validity.badInput) {
      if (r.type === "number")
        return e("validator.error.bad_input.number");
      if (r.type === "date")
        return e("validator.error.bad_input.date");
    }
    if (r.validity.patternMismatch)
      return e("validator.error.pattern_mismatch");
    if (r.validity.stepMismatch) {
      const a = Math.floor(Number(r.value) / Number(r.step)) * Number(r.step), d = Math.ceil(Number(r.value) / Number(r.step)) * Number(r.step);
      return e("validator.error.step_mismatch", [a, d]);
    }
    return r.validity.customError ? r.validationMessage : null;
  }
  function n(r) {
    r.target !== null && (t.value = o(r.target));
  }
  function s() {
    return t.value;
  }
  return {
    onInvalid: n,
    getInvalidMessage: s,
    setCustomError: l
  };
}
export {
  c as useValidator
};
